# Uses of Class
com.logicaldoc.core.task.Task

Packages that use Task
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.searchengine.indexer
com.logicaldoc.core.stats
com.logicaldoc.core.task
API to define the basics for the scheduled tasks that are long-running operations you can schedule in several ways

## Uses of Task in com.logicaldoc.core.document

Subclasses of Task in com.logicaldoc.core.document
Modifier and Type
Class
Description
`class`
`DigestProcessor`
This task takes care of calculating the documents digest
`class`
`TagsProcessor`
This task generate all data needed by the tag cloud panel and the tags drop-down lists.

## Uses of Task in com.logicaldoc.core.folder

Subclasses of Task in com.logicaldoc.core.folder
Modifier and Type
Class
Description
`class`
`PathCalculator`
This task calculate the path attributes of the folders(only those folders without path will be processed.

## Uses of Task in com.logicaldoc.core.searchengine

Subclasses of Task in com.logicaldoc.core.searchengine
Modifier and Type
Class
Description
`class`
`IndexOptimizer`
This task optimizes all indexes

## Uses of Task in com.logicaldoc.core.searchengine.indexer

Subclasses of Task in com.logicaldoc.core.searchengine.indexer
Modifier and Type
Class
Description
`class`
`IndexerTask`
This task enlists all non-indexed documents and performs the indexing

## Uses of Task in com.logicaldoc.core.stats

Subclasses of Task in com.logicaldoc.core.stats
Modifier and Type
Class
Description
`class`
`StatsCollector`
Collects statistical informations to the stats site

## Uses of Task in com.logicaldoc.core.task

Subclasses of Task in com.logicaldoc.core.task
Modifier and Type
Class
Description
`class`
`AbstractDocumentProcessor`
A base implementation for those tasks that process documents
Methods in com.logicaldoc.core.task that return Task
Modifier and Type
Method
Description
`Task`
TaskTrigger.`getTask()`
Methods in com.logicaldoc.core.task that return types with arguments of type Task
Modifier and Type
Method
Description
`Collection<Task>`
TaskManager.`getTasks()`
Retrieves the collection of all defined tasks: the ones enlisted in the Task extension point.
Methods in com.logicaldoc.core.task with parameters of type Task
Modifier and Type
Method
Description
`void`
TaskTrigger.`setTask(Task task)`